Skip to main content
POST
/
v2
/
bulk
/
assets
/
lifecycle-state:update
cURL
curl --request POST \
  --url https://client.synack.com/api/asset/v2/bulk/assets/lifecycle-state:update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "organizationUid": "<string>",
  "lifecycleState": "confirmed",
  "assetUids": [
    "<string>"
  ]
}
'
{
  "updatedCount": 0
}

Documentation Index

Fetch the complete documentation index at: https://docs.synack.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Supply Organization UID, Asset UIDs for the assets to update, and the lifecycle state to update to.

organizationUid
string
required

Unique identifier for an organization.

Pattern: ^[-_0-9a-z]{1,50}
lifecycleState
enum<string>
default:confirmed
required

Indicates the asset position in asset lifecycle FSM.

Available options:
confirmed,
unconfirmed,
ignored,
archived
assetUids
string[]

Unique identifier for an asset.

Pattern: ^[0-9a-f]{24}

Response

Count of lifecycle states updated.

updatedCount
integer
default:0

Number of assets updated.